<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFChartAxis (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFChartAxis (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":10,"i9":10,"i10":6,"i11":10,"i12":6,"i13":10,"i14":10,"i15":6,"i16":10,"i17":6,"i18":10,"i19":10,"i20":10,"i21":6,"i22":6,"i23":10,"i24":10,"i25":6,"i26":10,"i27":6,"i28":10,"i29":10,"i30":6,"i31":10,"i32":10,"i33":10,"i34":10,"i35":6,"i36":10,"i37":10,"i38":10,"i39":6,"i40":10,"i41":10,"i42":10,"i43":6,"i44":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFChartAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFChartAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.chart</div>
    <h2 title="Class XDDFChartAxis" class="title">Class XDDFChartAxis</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.chart.XDDFChartAxis</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xddf/usermodel/HasShapeProperties.html"
                           title="interface in org.apache.poi.xddf.usermodel">HasShapeProperties</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFCategoryAxis.html"
                           title="class in org.apache.poi.xddf.usermodel.chart">XDDFCategoryAxis</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFDateAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFDateAxis</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFSeriesAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFSeriesAxis</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFValueAxis.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFValueAxis</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public abstract class <span class="typeNameLabel">XDDFChartAxis</span>
extends java.lang.Object
implements <a href="../../../../../../org/apache/poi/xddf/usermodel/HasShapeProperties.html"
              title="interface in org.apache.poi.xddf.usermodel">HasShapeProperties</a></pre>
                <div class="block">Base class for all axis types.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#XDDFChartAxis--">XDDFChartAxis</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#crossAxis-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-">crossAxis</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a>&nbsp;axis)</code>
                                    <div class="block">Declare this axis cross another axis.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisCrosses.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisCrosses</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCrosses--">getCrosses</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTAxId--">getCTAxId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTAxPos--">getCTAxPos</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTCrosses--">getCTCrosses</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTNumFmt--">getCTNumFmt</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getCTScaling--">getCTScaling</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getDelete--">getDelete</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getId--">getId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getLogBase--">getLogBase</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMajorCTTickMark--">getMajorCTTickMark</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMajorTickMark--">getMajorTickMark</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>abstract double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMajorUnit--">getMajorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMaximum--">getMaximum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinimum--">getMinimum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected abstract
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinorCTTickMark--">getMinorCTTickMark</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinorTickMark--">getMinorTickMark</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>abstract double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getMinorUnit--">getMinorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>protected long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNextAxId-org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea-">getNextAxId</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea&nbsp;plotArea)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNumberFormat--">getNumberFormat</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrAddLinesProperties-org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines-">getOrAddLinesProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines&nbsp;gridlines)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrAddMajorGridProperties--">getOrAddMajorGridProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrAddMinorGridProperties--">getOrAddMinorGridProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisOrientation.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisOrientation</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getOrientation--">getOrientation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisPosition.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisPosition</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getPosition--">getPosition</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#hasNumberFormat--">hasNumberFormat</a></span>()</code>
                                    <div class="block">Use this to check before retrieving a number format, as calling
                                        <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNumberFormat--"><code>getNumberFormat()</code></a>
                                        may create a default one if none exists.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetLogBase--">isSetLogBase</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMajorUnit--">isSetMajorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMaximum--">isSetMaximum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMinimum--">isSetMinimum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isSetMinorUnit--">isSetMinorUnit</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#isVisible--">isVisible</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setCrosses-org.apache.poi.xddf.usermodel.chart.AxisCrosses-">setCrosses</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisCrosses.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisCrosses</a>&nbsp;crosses)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setLogBase-double-">setLogBase</a></span>(double&nbsp;logBase)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMajorTickMark-org.apache.poi.xddf.usermodel.chart.AxisTickMark-">setMajorTickMark</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a>&nbsp;tickMark)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMajorUnit-double-">setMajorUnit</a></span>(double&nbsp;major)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMaximum-double-">setMaximum</a></span>(double&nbsp;max)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMinimum-double-">setMinimum</a></span>(double&nbsp;min)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMinorTickMark-org.apache.poi.xddf.usermodel.chart.AxisTickMark-">setMinorTickMark</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a>&nbsp;tickMark)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setMinorUnit-double-">setMinorUnit</a></span>(double&nbsp;minor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setNumberFormat-java.lang.String-">setNumberFormat</a></span>(java.lang.String&nbsp;format)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setOrientation-org.apache.poi.xddf.usermodel.chart.AxisOrientation-">setOrientation</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisOrientation.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisOrientation</a>&nbsp;orientation)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i42" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setPosition-org.apache.poi.xddf.usermodel.chart.AxisPosition-">setPosition</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisPosition.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisPosition</a>&nbsp;position)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i43" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i44" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#setVisible-boolean-">setVisible</a></span>(boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xddf.usermodel.HasShapeProperties">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.xddf.usermodel.<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/HasShapeProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">HasShapeProperties</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/HasShapeProperties.html#getOrAddShapeProperties--">getOrAddShapeProperties</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFChartAxis--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFChartAxis</h4>
                                <pre>public&nbsp;XDDFChartAxis()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCTAxId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTAxId</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt&nbsp;getCTAxId()</pre>
                            </li>
                        </ul>
                        <a name="getCTAxPos--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTAxPos</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos&nbsp;getCTAxPos()</pre>
                            </li>
                        </ul>
                        <a name="getCTNumFmt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTNumFmt</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt&nbsp;getCTNumFmt()</pre>
                            </li>
                        </ul>
                        <a name="getCTScaling--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTScaling</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling&nbsp;getCTScaling()</pre>
                            </li>
                        </ul>
                        <a name="getCTCrosses--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTCrosses</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses&nbsp;getCTCrosses()</pre>
                            </li>
                        </ul>
                        <a name="getDelete--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDelete</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean&nbsp;getDelete()</pre>
                            </li>
                        </ul>
                        <a name="getMajorCTTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMajorCTTickMark</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark&nbsp;getMajorCTTickMark()</pre>
                            </li>
                        </ul>
                        <a name="getMinorCTTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinorCTTickMark</h4>
                                <pre>protected abstract&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark&nbsp;getMinorCTTickMark()</pre>
                            </li>
                        </ul>
                        <a name="getOrAddMajorGridProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrAddMajorGridProperties</h4>
                                <pre>public abstract&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a>&nbsp;getOrAddMajorGridProperties()</pre>
                            </li>
                        </ul>
                        <a name="getOrAddMinorGridProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrAddMinorGridProperties</h4>
                                <pre>public abstract&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFShapeProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFShapeProperties</a>&nbsp;getOrAddMinorGridProperties()</pre>
                            </li>
                        </ul>
                        <a name="setTitle-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitle</h4>
                                <pre>public abstract&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;text)</pre>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMinorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMinorUnit</h4>
                                <pre>public abstract&nbsp;boolean&nbsp;isSetMinorUnit()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if minor unit value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMinorUnit-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMinorUnit</h4>
                                <pre>public abstract&nbsp;void&nbsp;setMinorUnit(double&nbsp;minor)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>minor</code> - axis minor unit</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinorUnit</h4>
                                <pre>public abstract&nbsp;double&nbsp;getMinorUnit()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis minor unit or NaN if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMajorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMajorUnit</h4>
                                <pre>public abstract&nbsp;boolean&nbsp;isSetMajorUnit()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if major unit value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMajorUnit-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMajorUnit</h4>
                                <pre>public abstract&nbsp;void&nbsp;setMajorUnit(double&nbsp;major)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>major</code> - axis major unit</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMajorUnit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMajorUnit</h4>
                                <pre>public abstract&nbsp;double&nbsp;getMajorUnit()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis major unit or NaN if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getId</h4>
                                <pre>public&nbsp;long&nbsp;getId()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis id</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPosition--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPosition</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisPosition.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisPosition</a>&nbsp;getPosition()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPosition-org.apache.poi.xddf.usermodel.chart.AxisPosition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPosition</h4>
                                <pre>public&nbsp;void&nbsp;setPosition(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisPosition.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisPosition</a>&nbsp;position)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>position</code> - new axis position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasNumberFormat</h4>
                                <pre>public abstract&nbsp;boolean&nbsp;hasNumberFormat()</pre>
                                <div class="block">Use this to check before retrieving a number format, as calling
                                    <a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html#getNumberFormat--"><code>getNumberFormat()</code></a>
                                    may create a default one if none exists.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if a number format element is defined, false if not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNumberFormat-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNumberFormat</h4>
                                <pre>public&nbsp;void&nbsp;setNumberFormat(java.lang.String&nbsp;format)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>format</code> - axis number format</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberFormat</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getNumberFormat()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis number format</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetLogBase--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetLogBase</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetLogBase()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if log base is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLogBase-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLogBase</h4>
                                <pre>public&nbsp;void&nbsp;setLogBase(double&nbsp;logBase)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>logBase</code> - a number between 2 and 1000 (inclusive)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if log base not within allowed
                                        range
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLogBase--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLogBase</h4>
                                <pre>public&nbsp;double&nbsp;getLogBase()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis log base or NaN if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMinimum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMinimum</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetMinimum()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if minimum value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMinimum-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMinimum</h4>
                                <pre>public&nbsp;void&nbsp;setMinimum(double&nbsp;min)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>min</code> - axis minimum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinimum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinimum</h4>
                                <pre>public&nbsp;double&nbsp;getMinimum()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis minimum or NaN if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMaximum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMaximum</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetMaximum()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if maximum value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMaximum-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMaximum</h4>
                                <pre>public&nbsp;void&nbsp;setMaximum(double&nbsp;max)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>max</code> - axis maximum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMaximum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMaximum</h4>
                                <pre>public&nbsp;double&nbsp;getMaximum()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis maximum or NaN if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOrientation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrientation</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisOrientation.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisOrientation</a>&nbsp;getOrientation()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis orientation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOrientation-org.apache.poi.xddf.usermodel.chart.AxisOrientation-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOrientation</h4>
                                <pre>public&nbsp;void&nbsp;setOrientation(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisOrientation.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisOrientation</a>&nbsp;orientation)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>orientation</code> - axis orientation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCrosses--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCrosses</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisCrosses.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisCrosses</a>&nbsp;getCrosses()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis cross type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCrosses-org.apache.poi.xddf.usermodel.chart.AxisCrosses-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCrosses</h4>
                                <pre>public&nbsp;void&nbsp;setCrosses(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisCrosses.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisCrosses</a>&nbsp;crosses)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>crosses</code> - axis cross type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="crossAxis-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>crossAxis</h4>
                                <pre>public abstract&nbsp;void&nbsp;crossAxis(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartAxis</a>&nbsp;axis)</pre>
                                <div class="block">Declare this axis cross another axis.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>axis</code> - that this axis should cross</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isVisible()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>visibility of the axis.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVisible</h4>
                                <pre>public&nbsp;void&nbsp;setVisible(boolean&nbsp;value)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - visibility of the axis.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMajorTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMajorTickMark</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a>&nbsp;getMajorTickMark()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>major tick mark.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMajorTickMark-org.apache.poi.xddf.usermodel.chart.AxisTickMark-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMajorTickMark</h4>
                                <pre>public&nbsp;void&nbsp;setMajorTickMark(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a>&nbsp;tickMark)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tickMark</code> - major tick mark type.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinorTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinorTickMark</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a>&nbsp;getMinorTickMark()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>minor tick mark.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMinorTickMark-org.apache.poi.xddf.usermodel.chart.AxisTickMark-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMinorTickMark</h4>
                                <pre>public&nbsp;void&nbsp;setMinorTickMark(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/AxisTickMark.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">AxisTickMark</a>&nbsp;tickMark)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tickMark</code> - minor tick mark type.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOrAddLinesProperties-org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrAddLinesProperties</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;getOrAddLinesProperties(org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines&nbsp;gridlines)</pre>
                            </li>
                        </ul>
                        <a name="getNextAxId-org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getNextAxId</h4>
                                <pre>protected&nbsp;long&nbsp;getNextAxId(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea&nbsp;plotArea)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFChartAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartData.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFChartAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFChartAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
